<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>idea</groupId>
    <artifactId>AspectJ_build_NPE_IDEA_349094</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>jar</packaging>

    <name>AspectJ_build_NPE_IDEA_349094</name>
    <url>http://maven.apache.org</url>

    <properties>
        <compile_version>21</compile_version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>aspectj-maven-plugin</artifactId>
                <version>1.15.0</version>
                <dependencies>
                    <dependency>
                        <groupId>org.aspectj</groupId>
                        <artifactId>aspectjtools</artifactId>
                        <version>1.9.21.2</version>
                    </dependency>
                </dependencies>

                <executions>
                    <execution>
                        <id>main-compile</id>
                        <phase>process-classes</phase>
                        <goals>
                            <goal>compile</goal>
                        </goals>

                        <configuration>
                            <Xlint>adviceDidNotMatch=ignore</Xlint>
                            <proc>none</proc>
                            <complianceLevel>21</complianceLevel>
                            <forceAjcCompile>true</forceAjcCompile>
                            <sources/>
                            <weaveDirectories>
                                <weaveDirectory>${project.build.directory}/classes</weaveDirectory>
                            </weaveDirectories>
                        </configuration>
                    </execution>
                </executions>

            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjrt</artifactId>
            <version>1.9.21.2</version>
        </dependency>
    </dependencies>
</project>
